= form_for [@project], remote: true, html: { multipart: true, class: "edit-project js-general-settings-form" }, authenticity_token: true do |f|
  %input{ name: 'update_section', type: 'hidden', value: 'js-general-settings' }
  = form_errors(@project)

  %fieldset
    .row
      .form-group.col-md-5
        = f.label :name, class: 'label-bold', for: 'project_name_edit' do
          = _('Project name')
        = f.text_field :name, class: 'form-control gl-form-input', id: "project_name_edit", data: { qa_selector: 'project_name_field' }

      .form-group.col-md-7
        = f.label :id, class: 'label-bold' do
          = _('Project ID')
        = f.text_field :id, class: 'form-control gl-form-input w-auto', readonly: true

    .row
      .form-group.col-md-9
        = f.label :tag_list, _('Topics (optional)'), class: 'label-bold'
        = f.text_field :tag_list, value: @project.tag_list.join(', '), maxlength: 2000, class: "form-control gl-form-input"
        %p.form-text.text-muted= _('Separate topics with commas.')

    = render_if_exists 'compliance_management/compliance_framework/project_settings', f: f

    .row
      .form-group.col-md-9
        = f.label :description, _('Project description (optional)'), class: 'label-bold'
        = f.text_area :description, class: 'form-control gl-form-input', rows: 3, maxlength: 250

  .row= render_if_exists 'projects/classification_policy_settings', f: f

  = render_if_exists 'shared/repository_size_limit_setting', form: f, type: :project

  .form-group.gl-mt-3.gl-mb-3
    .avatar-container.rect-avatar.s90
      = project_icon(@project, alt: _('Project avatar'), class: 'avatar project-avatar s90')
    = f.label :avatar, _('Project avatar'), class: 'label-bold d-block'
    = render 'shared/choose_avatar_button', f: f
    - if @project.avatar?
      %hr
      = link_to _('Remove avatar'), project_avatar_path(@project), data: { confirm: _('Avatar will be removed. Are you sure?')}, method: :delete, class: 'btn btn-link'

  = f.submit _('Save changes'), class: "gl-button btn btn-success gl-mt-6", data: { qa_selector: 'save_naming_topics_avatar_button' }
